Subject: Re: linux-next: Tree for Mar 13

From: Stephen Rothwell <[email-masked]>
Date: Wed, 14 Mar 2018 07:08:46 +1100

Hi Mike,

On Tue, 13 Mar 2018 11:57:40 -0400 Mike Snitzer <[email-masked]> wrote:
>
> I had to revert the following commits to get this kernel to build
> (otherwise I got macro expansion errors, using RHEL7
> gcc-4.8.5-28.el7.x86_64):

Yeah, I reported that earlier (216 of my 244 builds failed - gcc 4.6.3)

> beb7eb2 kernelh-skip-single-eval-logic-on-literals-in-min-max-v3
> 19ff7e5 kernelh-skip-single-eval-logic-on-literals-in-min-max-v2
> c7c133f kernel.h: skip single-eval logic on literals in min()/max()
> 
> (it wasn't until I reverted commit c7c133f that the kernel build worked)

I will revert those from linux-next today unless someone sends a fix.

-- 
Cheers,
Stephen Rothwell